/*
  C++ STL I/O demo: binary file input.
  Read "demo" file in 10-byte chunks.
  
  Orion Sky Lawlor, olawlor@acm.org, 2006/03/01 (Public Domain)
*/
#include <iostream>
#include <fstream>

int main() {
	std::ifstream s("demo",std::ifstream::binary);
	if (!s) {std::cout<<"Can't open the file. Crap!"<<std::endl; return 0;}
	char buf[11];
	buf[10]=0;
	while (s.read(buf,10)) {
		std::cout<<buf<<std::endl;
	}
	/* File is closed automatically when the ifstream variable is deleted */
	return 0;
}
